Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.stats
Class StatsUsage

    java.lang.Object
      com.gisgraphy.stats.StatsUsage

    public class StatsUsage

extends Object

Represent the usage of a `StatsUsageType`

Author:
  David Masclet

Constructor Summary
`protected` | `StatsUsage()` Default constructor
`` | `StatsUsage(StatsUsageType statsUsageType)` Constructor to init statsUsageType

Method Summary
`Long` | `getId()`
`StatsUsageType` | `getStatsUsageType()`
`Long` | `getUsage()`
`void` | `increaseUsage()`
`void` | `setId(Long id)`
`void` | `setStatsUsageType(StatsUsageType statsUsageType)`
`void` | `setUsage(Long usage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatsUsage

    protected StatsUsage()

  Default constructor

### StatsUsage

    public StatsUsage(StatsUsageType statsUsageType)

  Constructor to init statsUsageType

  Parameters:
    `statsUsageType` - statsUsageType

Method Detail

### getId

    public Long getId()

  Returns:
    the id

### setId

    public void setId(Long id)

  Parameters:
    `id` - the id to set

### getStatsUsageType

    public StatsUsageType getStatsUsageType()

  Returns:
    the usageType

### setStatsUsageType

    public void setStatsUsageType(StatsUsageType statsUsageType)

  Parameters:
    `statsUsageType` -

### getUsage

    public Long getUsage()

  Returns:
    the usage

### setUsage

    public void setUsage(Long usage)

  Parameters:
    `usage` - the usage to set

### increaseUsage

    public void increaseUsage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.